/2026-01/marketing-solutions/marketplace-performance-outcomes/seller-campaigns/{sellerCampaignId}/budgets
Return a collection of budgets for this seller campaign filtered by optional filter parameters. If all parameters are omitted the entire collection to which the user has access is returned, except those whose endDate is in the past. Returned budgets must satisfy all supplied filter criteria if multiple parameters are used.
See the budgets endpoint for additional details.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Return only budgets belonging to the given seller campaign. Format: {sellerId}.{campaignId}, e.g. 2578464.187625.
Query Parameters
Return budgets that end after the given date using the yyyy-MM-DD format.
If param is not provided, default behavior is to only return budgets that have not yet ended.
Return budgets that start on or before the given date using the yyyy-MM-DD format.
Return only budgets with the given status.
Archived, Current, Scheduled Return only budgets with the given budget type.
Return only budgets with a positive balance.
Return budgets with a positive spend.
Response
Success
Budget amount in the advertiser's currency
Type of budget: 'Daily' (daily cap), 'Capped' (lifetime with fixed amount), or 'Uncapped' (lifetime with no limit)
List of campaign IDs this budget applies to
End date of the budget period (format: YYYY-MM-DD), or empty string if open-ended
Unique budget identifier
Whether the budget has been manually suspended by the partner
Identifier of the seller this budget belongs to
Amount spent against this budget so far, or null if not available
Start date of the budget period (format: YYYY-MM-DD)
Status of a seller budget
Archived, Current, Scheduled